
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>不使用spring的情况下用java原生代码操作mongodb数据库的两种方式 / iVAN</title>

    <meta name="description" content="不使用spring的情况下用java原生代码操作mongodb数据库的两种方式 由于更改了mongodb3.0数据库的密码,导致这几天storm组对数据进行处理的时候,一直在报mongodb数据库连接不上的异常.   主要原因实际上是和mongodb本身无关的,因为他们改的是配置文件的密码,而实际上这个密码在代码中根本就没有使用,他们在代码中已经把用户验证信息写死.   在协助他们解决这个问题的时候,我看到他们代码中在和mongodb数据库交互时使用了已经不被建议使用的方法,于是便抽时间尝试了一下另一种被建议的方式实现各功能.   当然了,生产环境中用的是mongodb集群">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">不使用spring的情况下用java原生代码操作mongodb数据库的两种方式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>由于更改了mongodb3.0<a href="http://lib.csdn.net/base/14" rel="external nofollow noreferrer">数据库</a>的密码，导致这几天storm组对数据进行处理的时候，一直在报mongodb<a href="http://lib.csdn.net/base/mysql" rel="external nofollow noreferrer">数据库</a>连接不上的异常。</strong></p>
<p><strong> </strong></p>
<p><strong>主要原因实际上是和mongodb本身无关的，因为他们改的是配置文件的密码，而实际上这个密码在代码中根本就没有使用，他们在代码中已经把用户验证信息写死。</strong></p>
<p><strong> </strong></p>
<p><strong>在协助他们解决这个问题的时候，我看到他们代码中在和mongodb数据库交互时使用了已经不被建议使用的方法，于是便抽时间尝试了一下另一种被建议的方式实现各功能。</strong></p>
<p><strong> </strong></p>
<p><strong>当然了，生产环境中用的是mongodb集群，验证时的写法和单机时会略有不同，我这里就只拿单机试验。</strong></p>
<p><strong> </strong></p>
<p><strong>使用原生的<a href="http://lib.csdn.net/base/17" rel="external nofollow noreferrer">Java</a>代码操作mongodb数据库，就不需要和<a href="http://lib.csdn.net/base/17" rel="external nofollow noreferrer">spring</a>集成的那些jar包，只用到了mongodb-<a href="http://lib.csdn.net/base/javaee" rel="external nofollow noreferrer">Java</a>-driver3.0.3.jar，代码如下，一些需要注意的地方也都写在注释中：</strong></p>
<p><strong> </strong></p>
<p><strong>[java]</strong> <a href="http://blog.csdn.net/tuzongxun/article/details/51210808#" rel="external nofollow noreferrer">view plain</a> <a href="http://blog.csdn.net/tuzongxun/article/details/51210808#" rel="external nofollow noreferrer">copy</a></p>
<p> </p>
<p> <a href="https://code.csdn.net/snippets/1656245" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL0NPREVfaWNvLnBuZw==.jpg"></a><a href="https://code.csdn.net/snippets/1656245/fork" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2NvZGUuY3Nkbi5uZXQvYXNzZXRzL2ljb19mb3JrLnN2Zw==.jpg"></a></p>
<ol>
<li>package monAndMysql;  </li>
<li>   </li>
<li>import java.util.ArrayList;  </li>
<li>import java.util.Date;  </li>
<li>import java.util.List;  </li>
<li>import java.util.Set;  </li>
<li>import org.bson.BsonDocument;  </li>
<li>import org.bson.BsonString;  </li>
<li>import org.bson.Document;  </li>
<li>import org.bson.conversions.Bson;  </li>
<li>import com.mongodb.BasicDBObject;  </li>
<li>import com.mongodb.DB;  </li>
<li>import com.mongodb.DBCollection;  </li>
<li>import com.mongodb.DBCursor;  </li>
<li>import com.mongodb.DBObject;  </li>
<li>import com.mongodb.MongoClient;  </li>
<li>import com.mongodb.MongoCredential;  </li>
<li>import com.mongodb.ServerAddress;  </li>
<li>import com.mongodb.client.FindIterable;  </li>
<li>import com.mongodb.client.MongoCollection;  </li>
<li>import com.mongodb.client.MongoCursor;  </li>
<li>import com.mongodb.client.MongoDatabase;  </li>
<li>import com.mongodb.client.model.Filters;  </li>
<li>   </li>
<li>/** </li>
<li> * mongodb和mysql性能测试 </li>
<li> * </li>
<li> * @author tuzongxun123 </li>
<li> * </li>
<li> */  </li>
<li>public class MonAndMysqlTest {  </li>
<li>   </li>
<li>    public static void main(String[] args) {  </li>
<li>       mongodbTest();  </li>
<li>    }  </li>
<li>   </li>
<li>    public static void mongodbTest() {  </li>
<li>       ServerAddress sa = new ServerAddress("192.168.0.7", 27017);  </li>
<li>       List&lt;MongoCredential&gt; mongoCredentialList = newArrayList&lt;MongoCredential&gt;();  </li>
<li>       // java代码连接mongodb3.0数据库验证，userName,dbName,password  </li>
<li>       mongoCredentialList.add(MongoCredential.createMongoCRCredential(  </li>
<li>              "admin", "admin", "123456".toCharArray()));  </li>
<li>       MongoClient client = new MongoClient(sa, mongoCredentialList);  </li>
<li>       // 第一种方式  </li>
<li>       // 第一种方式获取db，该方法已经不建议使用  </li>
<li>       DB mongoDB = client.getDB("mongoTest1");  </li>
<li>       DBCollection collection1 = mongoDB.getCollection("userTest1");  </li>
<li>       // 这里的数据类型是dbobject  </li>
<li>       DBObject document1 = new BasicDBObject();  </li>
<li>       document1.put("name", "mongoTest1");  </li>
<li>       document1.put("createTime", new Date().getTime());  </li>
<li>       // 插入数据  </li>
<li>       collection1.insert(document1);  </li>
<li>       // 查询数据  </li>
<li>       DBCursor cursor1 = collection1.find();  </li>
<li>       System.out.println("第一种方式插入数据的结果：");  </li>
<li>       while (cursor1.hasNext()) {  </li>
<li>           DBObject object = cursor1.next();  </li>
<li>           Set&lt;String&gt; keySet = object.keySet();  </li>
<li>           for (String key : keySet) {  </li>
<li>              System.out.println(key + ":" + object.get(key));  </li>
<li>           }  </li>
<li>       }  </li>
<li>       // 更改数据  </li>
<li>       DBObject query = new BasicDBObject();  </li>
<li>       DBObject update = new BasicDBObject();  </li>
<li>       query.put("name", "mongoTest1");  </li>
<li>       update.put("$set", new BasicDBObject("name", "update1"));  </li>
<li>       collection1.update(query, update);  </li>
<li>       System.out  </li>
<li>           .println("--------------------------------------------------------------------------------------");  </li>
<li>       System.out.println("第一种方式修改数据的结果：");  </li>
<li>       DBCursor cursor11 = collection1.find();  </li>
<li>       while (cursor11.hasNext()) {  </li>
<li>           DBObject object = cursor11.next();  </li>
<li>           Set&lt;String&gt; keySet = object.keySet();  </li>
<li>           for (String key : keySet) {  </li>
<li>              System.out.println(key + ":" + object.get(key));  </li>
<li>           }  </li>
<li>       }  </li>
<li>       // 删除数据  </li>
<li>       DBObject query1 = new BasicDBObject();  </li>
<li>       query1.put("name", "update1");  </li>
<li>       collection1.remove(query1);  </li>
<li>       System.out  </li>
<li>           .println("--------------------------------------------------------------------------------------");  </li>
<li>       System.out.println("第一种方式删除数据的结果：");  </li>
<li></ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 12:05:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e4%b8%8e%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据存储与数据库">数据存储与数据库</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93mongodb%e7%89%88/" title="云数据库MongoDB版">云数据库MongoDB版</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>不使用spring的情况下用java原生代码操作mongodb数据库的两种方式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWjQdz.html" rel="bookmark">javaweb-java根据ip判断网络连接情况（i除Java执行ping命令和InetAddress这两种方式）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java根据ip判断网络连接情况(i除Java执行ping命令和InetAddress这两种方式) 因为ava执行ping命令和InetAddress这两种方式执行速度太慢了,有没有更好的解决方法??? 解决方案 获得客户端真实IP地址的方法一: public String getRemortIP(HttpServletRequest request) { if (request.getHeader(&quot;x-forwarded-for&quot;) == null) { return r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlmPZp.html" rel="bookmark">Java 连接Access数据库的两种方式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java连接MS Access的两种方式: 1.JDBC-ODBC Java连接Access可以使用MS自带的管理工具--&gt;数据源(ODBC)设置建立连接,这样就不需要导入jar.但是,如此一来程序部署的每个机器上都要进行设置不方面.所以现在不会使用啦. 2.JDBC java也可以和连接其他数据库一样连接MS Access,导入数据库相应的jar包,进行连接. 复制代码 代码如下: java Access JDBC jar包:Access_JDBC30.jar 具体连接,参考下面代码: 复制代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGG4Ez.html" rel="bookmark">mysql下创建数据库的两种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql|创建|数据|数据库 1.命令创建 首先以root用户登录 sql&gt;create database databasename; 2.如何你想在没登录mysql情况下创建mysql数据库,那在mysql的data目录下创建一个userbase目录即可.在连上mysql后,show databases;就可以看见你所创建的userbase库了 注:删除数据库 sql&gt;drop database databasename;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wqP9p.html" rel="bookmark">Java基础使用技巧：深拷贝的两种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				⑴浅复制(浅克隆) 被复制对象的所有变量都含有与原来的对象相同的值,而所有的对其他对象的引用仍然指向原来的对象.换言之,浅复制仅仅复制所考虑的对象,而不复制它所引用的对象. ⑵深复制(深克隆) 被复制对象的所有变量都含有与原来的对象相同的值,除去那些引用其他对象的变量.那些引用其他对象的变量将指向被复制过的新对象,而不再是原有的那些被引用的对象.换言之,深复制把要复制的对象所引用的对象都复制了一遍. Java的clone()方法 ⑴clone方法将对象复制了一份并返回给调用者.一般而言,clon			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5Jx5z.html" rel="bookmark">Java创建线程的两种方式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 多线程是我们开发过程中经常遇到的,也是必不可少需要掌握的.当我们知道需要进行多线程开发时首先需要知道的自然是如何实现多线程,也就是我们应该如何创建线程. 在Java中创建线程和创建普通的类的对象操作是一样的,我们可以通过两种方式来创建线程: 1.继承Thread类,并重写run()方法. 2.实现Runnable接口,并实现run()方法. 方法一:继承Thread类 代码非常简单 首先重载一个构造函数,以便我们可以给线程命名. 重写run()方法. 这里我们先让线程输出线程名+start			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAKPvM.html" rel="bookmark">在已知某一平台硬件功率的情况下，计算android代码的总能耗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在已知某一平台硬件功率的情况下,计算android代码的总能耗 如果已知一段开源代码 ,通过什么办法在计算出所消耗的能耗呢,或者说怎样看出每条代码对应调用了什么硬件和调用时间,有研究过的前辈么,求救 解决方案 调用了什么硬件是不能看到的因为Android基于java,java不能直接调用硬件,可以通过汇编语言.计算机组成原理和操作系统这些课程大概知道是怎么调用的.调用时间可以通过前后获取系统时间相减大概知道花了多少时间. 解决方案二: 这个还真挺偏的.我也想知道,同关注. 解决方案三:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3oXJb.html" rel="bookmark">java多线程总结一：线程的两种创建方式及优劣比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.csdn.net/touch_2011/article/details/6891026 1.通过实现Runnable接口线程创建 (1).定义一个类实现Runnable接口,重写接口中的run()方法.在run()方法中加入具体的任务代码或处理逻辑. (2).创建Runnable接口实现类的对象. (3).创建一个Thread类的对象,需要封装前面Runnable接口实现类的对象.(接口可以实现多继承) (4).调用Thread对象的start()方法,启动线程 示例代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwGGjp.html" rel="bookmark">Spring加载properties文件的两种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版权声明:尊重博主原创文章,转载请注明出处哦~http://blog.csdn.net/eson_15/article/details/51365707 目录(?)[+]         在项目中如果有些参数经常需要修改,或者后期可能需要修改,那我们最好把这些参数放到properties文件中,源代码中读取properties里面的配置,这样后期只需要改动properties文件即可,不需要修改源代码,这样更加方便.在spring中也可以这么做,而且Spring有两种加载properties文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQENap.html" rel="bookmark">Java文件编译的两种方式以及在SpringMVC传参中带来的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基本概念 java编译成.class 有两种方式.使用javac,默认使用的release方式,而使用的MyEclipse工具,用的是debug模式.值得注意的是使用release模式下对于函数参数会改变. public class Test{  private static void sayHello(){   System.out.println(&quot;Hello world&quot;);  }  public static void main(String[] args){   sayH			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE4VAz.html" rel="bookmark" class="title">虚拟串口--杂记</a>
					<div>
						虚拟串口被占用,软件可用串口有限COM1-COM4,如何释放和删除被占用的串口   A:可以通过删除注册表中的一个数值项来清除这些配置:在&quot;运行&quot;对话框中输入&quot;reged ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1wWaz.html" rel="bookmark" class="title">基于XML的数据库总体分析</a>
					<div>
						xml|数据|数据库     我们知道当存在大量数据需要处理分析的话,最好是把这些数据放到数据库中,所以几乎所有大型的商业应用系统都是和数据库相关联的,所以如果XML需要在商业领域大展宏图的话,也必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLR4Gb.html" rel="bookmark" class="title">在Windows 2003中重置TCP&sol;IP</a>
					<div>
						在Windows Server 2003(简称Windows 2003)的连接属性对话框中,如果点击&quot;Internet协议(TCP/IP)选项,&quot;卸载&quot;按钮为灰色,是不可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6L1vz.html" rel="bookmark" class="title">Flash基础理论课 第五章 速度与加速度Ⅱ</a>
					<div>
						返回&quot;Flash基础理论课 - 目录&quot; 加速度 通常认为加速度就是使速度加快,减速度就是使速度减慢.没错,在本书中,为加速度作了一个更为科学的定义. 速度(向量)和加速度有很多相同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLm72b.html" rel="bookmark" class="title">走进Linq-Linq to Objects&lpar;上&rpar;基础篇</a>
					<div>
						话说自从编程大师走了后年轻的Coder很是郁闷了一会儿,他在想,为什么,我还以为是一个伟大的工程,我正准备把我写的代码作为一个opensouce project 分享出去,微软却干了.哎,还是要被微软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLoOKb.html" rel="bookmark" class="title">Oracle 11g系列&mdash;4&mdash;Oracle的体系结构</a>
					<div>
						前言 这个章节主要想说的是Oracle的体系结构,这个也是理论强些.还有一些比较理论的知识点(比如表空间啊), 就暂时先不写了,下一章节开始进入Oracle的操作阶段,比如表的查询啊.插入以及重点是和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNovZb.html" rel="bookmark" class="title">Powerpoint2007制作滚动字条</a>
					<div>
						  ①首先输入想滚动的字.置于ppt之外如图所示位置. ②然后在功能面板中选择&quot;动画&quot;-&quot;自定义动画&quot;-&quot;添加效果&quot;-&quot;动作路径& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze76ejM.html" rel="bookmark" class="title">Win8设置图片默认打开程序</a>
					<div>
						  对此我们有两套方法,先来看简单的一种.找到我们想要打开的图片文件,右击文件选择&quot;属性&quot;.在属性中我们可以看到&quot;打开方式&quot;的选项.这时候点击后面的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGjnjb.html" rel="bookmark" class="title">win8系统的桌面上怎样才能自由摆放图标</a>
					<div>
						  Windows系统在预装的时候就会自带一些桌面的图标,当然,这些一般都属于咱们windows系统的图标,例如咱们熟悉的回收站.计算机.网络.IE浏览器等等,除此之外,各位使用windows系统的用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYQYLb.html" rel="bookmark" class="title">win7电脑桌面图标都没了怎么办</a>
					<div>
						  电脑桌面图标没有了怎么办 网友提问 今开机的时候,不知道什么情况电脑桌面图标没有了,改怎么办才能找回电脑桌面的图标,是不是中病毒了? 小编给你讲解电脑桌面图标没有了怎么办,一般情况下电脑桌面图标没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG8PNp.html" rel="bookmark" class="title">代码重构：代码的坏味道</a>
					<div>
						原文如下: 1. [代码]students.xml      ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 &lt;?xml version=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EeKdM.html" rel="bookmark" class="title">微软下一代操作系统代号 Blue 或免费提供</a>
					<div>
						消息人士称,为确保用户都升级,Windows Blue价格会定得很低,甚至可能免费提供.此外,微软一年一次升级将会成为常态,以对抗苹果和谷歌的系统. Windows下一代操作系统代号Blue 或免费提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eWZyb.html" rel="bookmark" class="title">VMware-vSphere-5&period;1--------群集、HA、DRS、FT</a>
					<div>
						VMware vSphere 5.1 高可用性       在本节中主要讲的是集群的一些功能和配置,相比5.0的设置,没有太大的变化.VMware vSphere为虚拟机提供虚拟化的基础架构,将现有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oJ17b.html" rel="bookmark" class="title">asp&period;net-Internet信息服务&lpar;IIS&rpar;管理器进不去，需要连接服务器，提供凭据</a>
					<div>
						问题描述 Internet信息服务(IIS)管理器进不去,需要连接服务器,提供凭据 1C Internet信息服务(IIS)管理器进不去,需要连接服务器,提供凭据.这是什么情况啊? 解决方案 下个36 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NQ1Dz.html" rel="bookmark" class="title">高斯滤波</a>
					<div>
						高斯滤波 图像滤波之高斯滤波(Gauss filter) 概述: 高斯滤波: 高斯滤波在图像处理概念下,将图像频域处理和时域处理相联系,作为低通滤波器使用,可以将低频能量(比如噪声)滤去,起到图像平滑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3gdEz.html" rel="bookmark" class="title">淘宝、天猫之后又一个万亿级市场！闲鱼是马云&OpenCurlyDoubleQuote;初恋&rdquo;的味道</a>
					<div>
						马云为什么要做淘宝?在阿里巴巴市场公关委员会主席王帅看来,马云做淘宝的初心,并不是要追求多大的交易量,而是要满足对大千世界的好奇心. &quot;马云想搞清楚世界上有多少人在研究外星人,他想知道蜻蜓飞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQj3Lp.html" rel="bookmark" class="title">微时代的微博</a>
					<div>
						微时代的代表在我看来就是微博了,微博就是为大众表达话语权的无线麦克风.不需要学识,不需要文采,不需要逻辑,甚至140个字,错了http://www.aliyun.com/zixun/aggregati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeddWb.html" rel="bookmark" class="title">oVirt VM &lpar;CentOS&rpar; template &amp;amp&semi; clone</a>
					<div>
						Using Templates Now that you know how to create a virtual machine, you can save its settings into a  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydgG4b.html" rel="bookmark" class="title">如何使用 Python 创建一个 NBA 得分图？</a>
					<div>
						本文意在创建一个得分图,该图同时描绘了从场上不同位置投篮得分的百分比和投篮次数,这和 Austin Clemen 个人网站上的帖子 http://www.austinclemens.com/shotc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AmJ4z.html" rel="bookmark" class="title">虚拟机上exchange2010 外网收不到邮件    能发邮件   求exchange大神帮忙  小弟不胜感激</a>
					<div>
						问题描述 虚拟机上exchange2010 外网收不到邮件 能发邮件 求exchange大神帮忙 小弟不胜感激 虚拟机上exchange2010 内网可以收发邮件 外网只能发送邮件 收不到邮件 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLel0p.html" rel="bookmark" class="title">asp&period;net 使用SqlBulkCopy极速插入数据到 SQL Server&lowbar;MsSql</a>
					<div>
						按这个来算,我们那个发水票的时间就会由 10分钟--&gt;20秒,这可太神奇了. 于是乎,下demo,测试,改成自己一般使用的方法测试,NND,还真可以说是极速. 在此贴上我的Demo:SqlBul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R158z.html" rel="bookmark" class="title">代码-为什么用wpfmedia&period;kit打开的摄像头是黑屏呢？</a>
					<div>
						问题描述 为什么用wpfmedia.kit打开的摄像头是黑屏呢? private void btnOK_Click(object sender, RoutedEventArgs e) { Render ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB2DKM.html" rel="bookmark" class="title">Android手机令牌教程</a>
					<div>
						Content android 也不难学,承认花了时间1/2 花在界面上.界面需要经验的积累.和大哥有说有笑搞着界面,我们浩二有木有.要吐槽的可以吐槽,要啥的说啥. 界面                ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgONLM.html" rel="bookmark" class="title">MFC 网络编程 -- 总结 &period;</a>
					<div>
						基于 TCP 的 socket 编程 /*服务器端程序流程:1.加载套接字库       WSAStartup2.创建套接字           socket3.将我们创建的套接字,绑定到本机地址的某 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xYN5b.html" rel="bookmark" class="title">十条绿色IT最佳实践共建高效节能数据中心</a>
					<div>
						在过去几年里,&quot;绿色IT&quot;几乎成为了节能硬件的同义词,这些硬件较之之前几代类似的设备或组件更加高效.节能.例如,这些节能硬件设备在设计时具备节能模式或配有高级电源管理技术,这样在设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwwaOM.html" rel="bookmark" class="title">Python对小数进行除法运算的正确方法示例&lowbar;python</a>
					<div>
						求一个算式 复制代码 代码如下: a=1 b=2 c=3   print c*(a/b) 运行结果总是0,反复检查拆开以后,发现在Python里,整数初整数,只能得出整数. 也就是 a 除 b 这个结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJGvOp.html" rel="bookmark" class="title">FDD&comma;还是TDD&comma;重要的还是融合</a>
					<div>
						4G投稿电信技术 有一种说法,FDD技术要成熟于TDD技术.而事实上,任何一种技术或者人都不会天生成熟,总是经过一番历练之后才会成熟起来. 选择这个话题,我是找骂来了.不过,请先口下留人,我得穿越一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8m7Vp.html" rel="bookmark" class="title">Symbian手机每天销量达30万部远超iPhone</a>
					<div>
						8月7日消息,据国外媒体报道称,Symbian基金会本周表示,今年第二季度Symbian智能手机销量超过2700万部,合每天近30万部,每分钟207部. Symbian手机每月销量为900万部,这意味 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2jVmM.html" rel="bookmark" class="title">软件-利用C&num;进行路由追踪测试</a>
					<div>
						问题描述 利用C#进行路由追踪测试 我想编写一个软件实现路由追踪测试,我想问一下用C#实现功能的思路 解决方案 Process p = new Process(); p.StartInfo.FileN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkg1rp.html" rel="bookmark" class="title">利用网络打造企业品牌</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现如今品牌对于企业来说越来越重要了 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
